/*
 * PS/2 connector:
 *
 *  1. Serial Data
 *  2. Unused
 *  3. Ground
 *  4. Power (+5.0 VDC)
 *  5. Clock
 *  6. Unused
 *
 */

#ifndef _DEFS_H
#define _DEFS_H

#define PC_PIN_DATA 	PINB	// Pin 1
#define PC_DDR_DATA 	DDRB
#define PC_PIN_CLOCK 	PINB	// Pin 5
#define PC_DDR_CLOCK 	DDRB

#define PC_KEY_DATA	3
#define PC_KEY_CLOCK	2

#define PC_MOUSE_DATA	1
#define PC_MOUSE_CLOCK	0

#define LED_PORT 	PORTD
#define LED_DDR  	DDRD
#define LED_NUM 	3	// Num Lock Led
#define LED_CAPS 	4	// Caps Lock Led
#define LED_SCROLL 	5	// Scroll Lock Led
#define LED_POWER	6	// Power (Receive) Led

#define FIFO_SIZE       32

#define F_CPU		10000000	// Clock speed (10 Mhz)

#define KB_START 	0x07
#define KB_DOWN 	0x5A
#define KB_UP 		0x50

#define	KB_FREQ 	(1000000/800)	// scanrate
#define KB_DIV 		64		// hard coded! see reset procedure!
#define KB_TCNT		255-((F_CPU/KB_DIV)/KB_FREQ)
#define KB_TCNT_HALF	255-((F_CPU/KB_DIV)/(KB_FREQ*2))

#define UART_BAUD_RATE	19200		// Baudrate
#define UART_BAUD_SLCT	(F_CPU/(UART_BAUD_RATE*16l)-1)

#endif // _DEFS_H
