typedef struct {
 u08 key;
 u08 extended;
} kb_keys_struct;

const PROGMEM static kb_keys_struct kb_keys[128] = {
 { 0x3C, 0 },	// 'U'
 { 0x00, 0 },	// 
 { 0x00, 0 },	// 
 { 0x15, 0 },	// 'Q'
 { 0x4D, 0 },	// 'P'
 { 0x7E, 0 },	// ScrollLock
 { 0x00, 0 },	// 
 { 0x1D, 0 },	// 'W'
 { 0x43, 0 },	// 'I'
 { 0x00, 0 },	// 
 { 0x00, 0 },	// 
 { 0x24, 0 },	// 'E'
 { 0x44, 0 },	// 'O'
 { 0x2D, 0 },	// 'R'
 { 0x00, 0 },	// 
 { 0x00, 0 },	// 
 { 0x33, 0 },	// 'H'
 { 0x0B, 0 },	// F6
 { 0x69, 1 },	// End
 { 0x76, 0 },	// ESC
 { 0x52, 0 },	// '"'
 { 0x11, 0 },	// LeftAlt
 { 0x75, 1 },	// UpArrow
 { 0x03, 0 },	// F5
 { 0x00, 0 },	// 
 { 0x00, 0 },	// 
 { 0x00, 0 },	// 
 { 0x0C, 0 },	// F4
 { 0x00, 0 },	// 
 { 0x34, 0 },	// 'G'
 { 0x00, 0 },	// 
 { 0x00, 0 },	// 
 { 0x3D, 0 },	// '7'
 { 0x09, 0 },	// F10
 { 0x07, 0 },	// F12
 { 0x16, 0 },	// '1'
 { 0x45, 0 },	// '0'
 { 0x00, 0 },	// PrtScr
 { 0x00, 0 },	// 
 { 0x1E, 0 },	// '2'
 { 0x3E, 0 },	// '8'
 { 0x00, 0 },	// 
 { 0x78, 0 },	// F11
 { 0x26, 0 },	// '3'
 { 0x46, 0 },	// '9'
 { 0x25, 0 },	// '4'
 { 0x00, 0 },	// 
 { 0x00, 0 },	// 
 { 0x35, 0 },	// 'Y'
 { 0x66, 0 },	// BackSpace
 { 0x00, 0 },	// 
 { 0x0D, 0 },	// Tab
 { 0x54, 0 },	// '['
 { 0x14, 0 },	// Fn
 { 0x00, 0 },	// 
 { 0x58, 0 },	// CapsLock
 { 0x5B, 0 },	// ']'
 { 0x12, 0 },	// LeftShift
 { 0x00, 0 },	// 
 { 0x04, 0 },	// F3
 { 0x83, 0 },	// F7
 { 0x2C, 0 },	// 'T'
 { 0x00, 0 },	// 
 { 0x00, 0 },	// 
 { 0x3B, 0 },	// 'J'
 { 0x5D, 0 },	// ''
 { 0x00, 0 },	// 
 { 0x1C, 0 },	// 'A'
 { 0x4C, 0 },	// ';'
 { 0x00, 0 },	// 
 { 0x7D, 1 },	// PageUp
 { 0x1B, 0 },	// 'S'
 { 0x42, 0 },	// 'K'
 { 0x00, 0 },	// 
 { 0x7A, 1 },	// PageDown
 { 0x23, 0 },	// 'D'
 { 0x4B, 0 },	// 'L'
 { 0x2B, 0 },	// 'F'
 { 0x00, 0 },	// 
 { 0x00, 0 },	// 
 { 0x3A, 0 },	// 'M'
 { 0x5A, 0 },	// Enter
 { 0x00, 0 },	// 
 { 0x1A, 0 },	// 'Z'
 { 0x00, 0 },	// 
 { 0x00, 0 },	// 
 { 0x00, 0 },	// Pause
 { 0x22, 0 },	// 'X'
 { 0x41, 0 },	// ','
 { 0x59, 0 },	// RightShift
 { 0x77, 0 },	// NumLock
 { 0x21, 0 },	// 'C'
 { 0x49, 0 },	// '.'
 { 0x2A, 0 },	// 'V'
 { 0x00, 0 },	// 
 { 0x00, 0 },	// 
 { 0x36, 0 },	// '6'
 { 0x01, 0 },	// F9
 { 0x70, 1 },	// Insert
 { 0x0E, 0 },	// '`'
 { 0x4E, 0 },	// '-'
 { 0x00, 0 },	// 
 { 0x6C, 1 },	// Home
 { 0x05, 0 },	// F1
 { 0x55, 0 },	// '='
 { 0x00, 0 },	// 
 { 0x71, 1 },	// Delete
 { 0x06, 0 },	// F2
 { 0x0A, 0 },	// F8
 { 0x2E, 0 },	// '5'
 { 0x00, 0 },	// 
 { 0x14, 0 },	// LeftCtrl
 { 0x31, 0 },	// 'N'
 { 0x29, 0 },	// Space
 { 0x74, 1 },	// RightArrow
 { 0x0E, 0 },	// Empty
 { 0x4A, 0 },	// '/'
 { 0x11, 1 },	// RightAlt
 { 0x6B, 1 },	// LeftArrow
 { 0x00, 0 },	// 
 { 0x00, 0 },	// 
 { 0x00, 0 },	// 
 { 0x72, 1 },	// DownArrow
 { 0x00, 0 },	// 
 { 0x00, 0 },	// 
 { 0x32, 0 },	// 'B'
 { 0x00, 0 },	// 
 { 0x00, 0 }	// 
};
